<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Sylph/Core/AppType.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="classes.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
<h1>Sylph/Core/AppType.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * LibSylph Class Library</span>
<a name="l00003"></a>00003 <span class="comment"> * Copyright (C) 2009 Frank "SeySayux" Erens &lt;seysayux@gmail.com&gt;</span>
<a name="l00004"></a>00004 <span class="comment"> *</span>
<a name="l00005"></a>00005 <span class="comment"> * This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment"> * modify it under the terms of the LibSylph Pulbic License as published</span>
<a name="l00007"></a>00007 <span class="comment"> * by the LibSylph Developers; either version 1.0 of the License, or</span>
<a name="l00008"></a>00008 <span class="comment"> * (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"> *</span>
<a name="l00010"></a>00010 <span class="comment"> * This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the LibSylph</span>
<a name="l00013"></a>00013 <span class="comment"> * Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * You should have received a copy of the LibSylph Public License</span>
<a name="l00016"></a>00016 <span class="comment"> * along with this Library, if not, contact the LibSylph Developers.</span>
<a name="l00017"></a>00017 <span class="comment"> *</span>
<a name="l00018"></a>00018 <span class="comment"> * Created on 1 augustus 2009, 9:15</span>
<a name="l00019"></a>00019 <span class="comment"> */</span>
<a name="l00020"></a>00020 
<a name="l00021"></a>00021 <span class="preprocessor">#ifndef APPTYPE_H_</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#define APPTYPE_H_</span>
<a name="l00023"></a>00023 <span class="preprocessor"></span>
<a name="l00024"></a>00024 <span class="preprocessor">#include "Object.h"</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 SYLPH_BEGIN_NAMESPACE
<a name="l00027"></a>00027 SYLPH_PUBLIC
<a name="l00041"></a><a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc4">00041</a> <span class="keyword">enum</span> <a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc4" title="This enumeration contains the possible Application Types.">AppType</a> {
<a name="l00042"></a><a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc43d1b5b35d632e26a5784c1503d8bf392">00042</a>     <a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc43d1b5b35d632e26a5784c1503d8bf392" title="This AppType uses a LibSylph-style &amp;#39;bundle&amp;#39; structure.">S_APPTYPE_BUNDLE</a>, 
<a name="l00048"></a><a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc4e1a7847227d0ee2febba17e3e4986ae6">00048</a>     <a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc4e1a7847227d0ee2febba17e3e4986ae6" title="This AppType uses a classic &amp;#39;FHS&amp;#39;-like structure on Linux.">S_APPTYPE_FHS</a>, 
<a name="l00051"></a><a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc443b12990c4a979871590ccbb5ce1f249">00051</a>     <a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc443b12990c4a979871590ccbb5ce1f249" title="This is the default AppType on Mac OS X.">S_APPTYPE_MACOS</a>, 
<a name="l00055"></a><a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc4a9161825e0da102c3df69131910396c8">00055</a>     <a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc4a9161825e0da102c3df69131910396c8" title="AppType on Mac OS X that works similar to S_APPTYPE_FHS .">S_APPTYPE_MACOS_FHS</a>, 
<a name="l00061"></a><a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc4b4c98be2edbe429e3758f36dac08dc46">00061</a>     <a class="code" href="namespace_sylph.html#8e3a8cf0fd1c1cf417e7834d2a473dc4b4c98be2edbe429e3758f36dac08dc46" title="Default AppType on Windows.">S_APPTYPE_WINDOWS</a> 
<a name="l00064"></a>00064 };
<a name="l00065"></a>00065 SYLPH_END_NAMESPACE
<a name="l00066"></a>00066 
<a name="l00067"></a>00067 <span class="preprocessor">#endif  </span><span class="comment">/* APPTYPE_H_ */</span>
<a name="l00068"></a>00068 
</pre></div></div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
